Using ArtRage 4 on Windows XP through Steam

How can I use ArtRage 4 on Windows XP?

ArtRage 4.5 does not support Windows XP. We have shifted the older ArtRage 4.0 build to an optional WinXP branch that you can find by following the steps below. This will allow you to continue to work with the XP compatible version.

To sign up to the WinXP option:

  1. Go to your Steam Library
  2. Right click on ArtRage 4
  3. Go to Properties
  4. Go to the Beta tab
  5. Opt into the WinXP Branch

Category: Steam
Tags: , , , ,

← FAQs